# docker-compose.yml

version: '3'
services:
  server:
    image: postgrest/postgrest
    ports:
      - "3000:3000"
    environment:
      PGRST_DB_URI: postgres://postgres:Ultr4p0d3r0s0@db:5432/adcfi
      PGRST_DB_ANON_ROLE: web_usr
      PGRST_JWT_SECRET: JPUw]7HrjGp"L+y>dns.YB3_fWNV2ba(
      PGRST_OPENAPI_SERVER_PROXY_URI: http://127.0.0.1:3000
    depends_on:
      - db
  db:
    image: supabase/postgres
    ports:
      - "5432:5432"
    environment:
      POSTGRES_PASSWORD: Ultr4p0d3r0s0
      POSTGRES_DB: adcfi
  swagger:
    image: swaggerapi/swagger-ui
    ports:
      - "8080:8080"
    expose:
      - "8080"
    environment:
      API_URL: http://localhost:3000/